
Figure - Bug #114961
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现CRASH: com.android.settings(15)
2022-12-30 11:36 - CD Test赵飞

Status: CLOSED Start date: 2022-12-30

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-30

Test Type: Monkey Test Root cause: 特殊场景下变量为空导致。

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 600000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.settings (pid 23245)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'void

com.android.settings.applications.AppStateBaseBridge.forceUpdate(java.lang.String, int)' on a null object reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1488:user/test-keys

// Build Changelist: 1488

// Build Time: 1672162698000

// java.lang.NullPointerException: Attempt to invoke virtual method 'void

com.android.settings.applications.AppStateBaseBridge.forceUpdate(java.lang.String, int)' on a null object reference

//     at com.android.settings.applications.manageapplications.ManageApplications.onHiddenChanged(ManageApplications.java:542)

//     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:350)

//     at androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2200)

//     at androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)

//     at androidx.fragment.app.FragmentManager.popBackStackImmediate(FragmentManager.java:801)

//     at androidx.fragment.app.FragmentManager.popBackStackImmediate(FragmentManager.java:739)

//     at

com.android.settings.homepage.SettingsHomepageActivity.lambda$changeSettingsDetailsFragment$4(SettingsHomepageActivity.java:434)

//     at com.android.settings.homepage.SettingsHomepageActivity.$r8$lambda$CqOfnAceDxvOR2buhHdxOyMQieE(Unknown Source:0)

//     at com.android.settings.homepage.SettingsHomepageActivity$$ExternalSyntheticLambda3.run(Unknown Source:10)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)
//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】

日志见FTP：

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_114961/Tlog.zip

History

#1 - 2022-12-30 11:38 - CD Test赵飞

- Description updated

#2 - 2023-01-03 09:50 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-01-03 10:08 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-30

- Root cause set to 特殊场景下变量为空导致。

■ Current conclusion

已处理。

■ My analysis

特殊场景下变量为空导致，已做判空处理。

■ Next action

测试验证。

#4 - 2023-01-04 10:47 - CD Test赵飞

- % Done changed from 100 to 70

12/31号DB版本未复现此问题

Monkey问题，继续跟踪2个版本

#5 - 2023-01-05 11:16 - CD Test赵飞

1月4号DB版本未复现此问题

Monkey问题，继续跟踪1个版本
#6 - 2023-01-06 15:43 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

1月5号release版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#7 - 2023-01-06 15:43 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 70 to 100
